Skip to main content
GET
/
logs
/
{logId}
/
monitors
List monitors associated with a log
curl --request GET \
  --url https://api.eu.bronto.io/logs/{logId}/monitors \
  --header 'X-BRONTO-API-KEY: <api-key>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "High Error Rate",
    "comparison_operator": "ABOVE",
    "threshold": 1000,
    "window": "'Last 20 minutes', 'Last 2 hours', 'Last 1 days'",
    "actions": [
      {
        "type": "EMAIL",
        "email": "<string>",
        "integration_id": "<string>"
      }
    ],
    "created_at": 1710948395538,
    "status": "OK",
    "type": "PATTERN",
    "ai_report_enabled": true,
    "description": "Average response time is over 1 seconds in the last 20 minutes",
    "warning_threshold": 900,
    "monitored_groups": [
      {
        "group_id": "region:EU,host:100",
        "status": "OK",
        "groups": {
          "region": "EU",
          "host": 100
        }
      },
      {
        "group_id": "region:EU,host:101",
        "status": "ALERT",
        "groups": {
          "region": "EU",
          "host": 100
        }
      }
    ],
    "no_data_status": "OK",
    "muted_until": 1710958395538,
    "notify_once": false,
    "group_retention": 600000,
    "last_trigger_ts": 1710948395538,
    "aux": {},
    "compare_to": "2 hours ago",
    "change_type": "DIFFERENCE",
    "ai_report_instructions": "<string>",
    "metric_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
]

Authorizations

X-BRONTO-API-KEY
string
header
required

Path Parameters

logId
string<uuid>
required

The unique identifier of the log

Response

List of monitors for the given log

id
string<uuid>
required

The unique identifier for the monitor

name
string
required

The name of the monitor

Required string length: 1 - 255
Example:

"High Error Rate"

comparison_operator
enum<string>
required

the comparison operator of the monitor (ABOVE, ABOVE_OR_EQUAL, BELOW, BELOW_OR_EQUAL, EQUAL, NOT_EQUAL)

Available options:
BELOW,
BELOW_OR_EQUAL,
ABOVE,
ABOVE_OR_EQUAL,
EQUAL,
NOT_EQUAL
Example:

"ABOVE"

threshold
number<double>
required

the threshold value of the monitor

Example:

1000

window
string
required

The time window to evaluate the monitor; minimum five minutes, maximum one day

Example:

"'Last 20 minutes', 'Last 2 hours', 'Last 1 days'"

actions
object[]
required

The list of actions (notifications) to take when the monitor fires or resolves

Required array length: 1 - 10 elements
created_at
integer<int64>
required

The timestamp when the monitor was created

Example:

1710948395538

status
enum<string>
required

The status of the monitor

Available options:
OK,
NO_DATA,
ALERT,
WARN
Example:

"OK"

type
enum<string>
default:PATTERN
required
Available options:
PATTERN,
USAGE,
CHANGE_DETECTION
ai_report_enabled
boolean
required

True if an automatic report should be generated when the monitor triggers

description
string

Extra contextual information to add to the monitor

Maximum string length: 4000
Example:

"Average response time is over 1 seconds in the last 20 minutes"

warning_threshold
number<double>

the warning threshold value

Example:

900

monitored_groups
object[]

Representation of all the monitored groups and their status

Example:
[
  {
    "group_id": "region:EU,host:100",
    "status": "OK",
    "groups": { "region": "EU", "host": 100 }
  },
  {
    "group_id": "region:EU,host:101",
    "status": "ALERT",
    "groups": { "region": "EU", "host": 100 }
  }
]
no_data_status
enum<string>

Specify the status to use if a group has no data (no events matched in a time window)

Available options:
OK,
NO_DATA,
ALERT,
WARN
Example:

"OK"

muted_until
integer<int64>

The timestamp indicating the ending of the muting. -1 indicates muted forever

Example:

1710958395538

notify_once
boolean
default:false

Notify only the groups changing the global monitor status, i.e. notifications are sent only for the first group entering ALERT status or for the last group resolving

Example:

false

group_retention
integer<int64>

Remove groups with no data after the provided time in milliseconds

Required range: 0 <= x <= 604800000
Example:

600000

last_trigger_ts
integer<int64>

The timestamp of the last time the monitor fired

Example:

1710948395538

aux
object

Additional monitor configuration

compare_to
string

For change detection monitors only. How far back in time the comparison query should be run. Minimum "5 mins ago", maximum "1 month".

Example:

"2 hours ago"

change_type
enum<string>

For change detection monitors only. Specifies how the change values are calculated, as described in the Bronto documentation.

Available options:
DIFFERENCE,
PERCENTAGE
ai_report_instructions
string

Instructions for the AI on what to include in the report, e.g. check for recent deployments, verify the health of the following dependencies: ... etc

metric_id
string<uuid>

The unique identifier for the metric definition that backs this monitor